#include "systems.h"
#include "../ddem_error_codes.h"
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
ddemSimulationAttributes::ddemSimulationAttributes(int nVariables, int nParameters)
{
	absTolerance = new double[nVariables];	
	parameters = new double[nParameters];	

	relTolerance = -1.0;
	
	vanishingConst = -1.0;

	comm = NULL;
}
/*---------------------------------------------*/
ddemSimulationAttributes::~ddemSimulationAttributes()
{
	if(parameters != NULL){
			delete parameters;
			parameters = NULL;
	}
	if(absTolerance != NULL){
			delete absTolerance;
			absTolerance = NULL;
	}
}
