#ifndef __DDEM_DATA
#define __DDEM_DATA
/************************************************************/
#include <string>

#include "ddem_parameter_estimator.h"
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
class ddemData{
    int nGammas_;
    int nYs_;/*Total number of data items over all Y_j(gamma_i) ((1))*/
    double* gammas_;

    /*      ------------------------------    */
    /*     | gammasIndices_  | YsIndices_ | Ys_ |    */
    /*     ------------------------------     */
    int* gammasIndices_;/*Corresponds to i in ((1)) */
    int* YsIndices_;/* Corresponds to j in ((1)) */
    double* Ys_;

		int* invertGammaIndicesFirst_;/* invertGammadIndicesFirst_[i] = j if  */
																	/* gammasIndices_[j] = i and */	
																	/* either j = 0 or gammasIndices_[j - 1] = i - 1 */	
		int* invertGammaIndicesLast_;
  friend class ddemParameterEstimator;
  friend void subfunctionsCalculator(Integer m, Integer n, double p[],
    				                     double f[], double fjac[], Integer tdfjac,
		                             Nag_Comm *comm);
	public:
		ddemData();
	 ~ddemData();
		int Load(string fileName);
		//void Save(string fileName){};
/* 		int getnGammas(){return nGammas_;};
		int getnY(){return nY_;}; */
};
#endif /* __DDEM_DATA*/
