#ifndef __DDEM_SENS_OUT
#define __DDEM_SENS_OUT
/************************************************************/
#include "ddem_sensitivity_analyzer.h"
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
int ddemOutSensUniform(ddemSensitivitySolution* sensitivitySolution,
												int yIndex,
												int parameterIndex,
												int interpSelect,
												int nOutPoints,
												string fileName,
												int precision,
												ddemSimulator* simulator);
int ddemOutSensUniformAll(ddemSensitivitySolution* sensitivitySolution,
												int interpSelect,
												int nOutPoints,
												string fileName,
												int precision,
												ddemSimulator* simulator);
/************************************************************/
int ddemOutSensFDUniform(ddemSensitivitySolutionFD* sensitivitySolutionFD,
												int yIndex,
												int parameterIndex,
												string fileName,
												int precision);
int ddemOutSensFDUniformAll(ddemSensitivitySolutionFD* sensitivitySolutionFD,
												string fileName,
												int precision);
/************************************************************/
int ddemOutSensNonUniform(ddemSensitivitySolution* sensitivitySolution,
											int yIndex,
											int parameterIndex,
											int interpSelect,
											int nOutPoints,
											string fileName,
											string fileNameDisc,
											int precision,
											ddemSimulator* simulator);
int ddemOutSensNonUniformAll(ddemSensitivitySolution* sensitivitySolution,
											int interpSelect,
											int nOutPoints,
											string fileName,
											string fileNameDisc,
											int precision,
											ddemSimulator* simulator);
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
#endif /* __DDEM_SENS_OUT*/
