#ifndef __DDEM_SOL_OUT
#define __DDEM_SOL_OUT
/************************************************************/
#include "ddem_simulator.h"
#include <string>
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
std::string ddemInt2string(int i);
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
int ddemOutSolUniform(ddemSimulationSolution*	simulationSolution,
											int outYIndex,
											int interpSelect,
											int nOutPoints,
											string fileName,
											int precision,
											ddemSimulator* simulator);
/************************************************************/
int ddemOutSolUniformAll(ddemSimulationSolution*	simulationSolution,
											int interpSelect,
											int nOutPoints,
											string fileName,
											int precision,
											ddemSimulator* simulator);
/************************************************************/
int ddemOutSolNonUniform(ddemSimulationSolution*	simulationSolution,
											int outYIndex,
											int interpSelect,
											int nOutPoints,
											string fileName,
											string fileNameDisc,
											int precision,
											ddemSimulator* simulator);
/************************************************************/
int ddemOutSolNonUniformAll(ddemSimulationSolution*	simulationSolution,
											int interpSelect,
											int nOutPoints,
											string fileName,
											string fileNameDisc,
											int precision,
											ddemSimulator* simulator);
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
class ddemUniformStepper{
public:
	ddemUniformStepper();
 ~ddemUniformStepper();
	int initialize(double tStart, double tEnd, int nPoints);
	int get(int index, double& t);
private:
	double tStart_;
	double tEnd_;
	int nPoints_;
	double h_;
	int isInitialized_;
};
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
#endif /* __DDEM_SOL_OUT*/
