#ifndef __IVP2DDE_IMPROVED_CRK
#define __IVP2DDE_IMPROVED_CRK
#include "ddem_ivp2dde.h"
/*-------------------*/
class IVP2DDEImprovedCRK: public ddemIVP2DDE{
		int interp_Flag_;
public:
		IVP2DDEImprovedCRK(int interp_Flag);
	 ~IVP2DDEImprovedCRK();
		virtual int getNInterploatorCoefficens();
		virtual int getRequiredContinuity();
		virtual void prepare(int nVariables, double relTolerance,	double* absTolerance);
		virtual int tryStep(double& t, double tEnd,
																	double* y,
																	ddemIVPfcn IVPfcn, void* ivp2ddeCommVoid);
		virtual void storeStep(double& t, double* y, double** interpolant,
																		double& stepSize);
		virtual void restart();
		virtual int interpolate(int nVariables,
														double tLeftMeshPoint,
																		 double* yLeftMeshPoint,
																		 double t, double* y, double stepSize,
																		 double** interpolant,
																		 int interpSelect);
private:
	  int prepared_;
		double* c_;
	  int nw_;
		double* w_;
		int ind_;
		int n_;
		double tol_ ;
};
#endif
